2 lrstom lrstom 于 2016.09.13 17:03 提问

VIM按装YouCompleteMe时,编译时出错了。求大神。。。 2C

安装步骤:
1. 在.vimrc文件中加入语句 Bundle 'Valloric/YouCompleteMe' 即可,保存,退出,然后再次打开Vim,normal模式下输入 :BundleInstall 即开始下载
2.执行命令:
cd ~/.vim/bundle/YouCompleteMe
./install --clang-completer
3.出现如下错误
图片说明
安装步骤

1个回答

lrstom
lrstom   2016.09.13 17:04

网上所不到有效的解决方案.希望能提供好的文档.

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
Vim 自动补全插件 YouCompleteMe 安装与配置
对于代码自动补全,之前一直使用的是Shougo/neocomplcache和Shougo/neosnippet。早就听说过YouCompleteMe的大名,一直想尝试一下YCM,但是还是拖到了现在。YCM和其它Vim插件的安装有些不同,可能需要折腾一下。之所以安装稍微会麻烦些,是因为YCM 后端调用 libclang(以获取AST,当然还有其他语言的语义分析库)、前端由 C++ 开发(以提升补全效率)、外层由 python 封装(以成为 vim 插件),它可能是安装最复杂的 vim 插件了。YCM是Clie
【环境配置】VIM 安装YouCompleteMe自动补全插件(MAC)
基本配置,在此不做赘述,了解最基本常用配置请参考: 【vim】插件管理及代码智能提示与补全环境的配置 本文着重介绍MAC上面的配置 参考: Vim自动补全神器:YouCompleteMe安装推荐 安装VIM,最好是最新版 安装HomeBrew ,在后面安装一些东西的时候很方便 安装git,VIM对应很多插件都在git有地址,可直接通过git来下载到本地 安装cmake,后面会用到 vundl
vim 自动提示、自动补齐插件 YouCompleteMe for windows Gvim 安装及使用
原文地址:http://blog.csdn.net/sunnianzhong/article/details/18459471 YouCompleteMe is a fast, as-you-type, fuzzy-search(亲~~支持模糊匹配哦) code completion engine for Vim. It has two completion engines: an iden
Windows gVim 7.4 安装YouCompleteMe插件
安装环境 gVim 7.4 32-bit 2013 Aug 10 Python 2.7.12 32-bit (https://www.python.org/downloads/windows/) Visual Studio 2012 Clang 3.8.1 (http://llvm.org/releases/download.html) CMake 3.6.1 (https://cmake.org/
vim安装插件YouCompleteMe,出错,YouCompleteMe unavailable: requires Vim compiled with Python 2.x support
I read the wiki "https://github.com/Valloric/YouCompleteMe/wiki/Building-Vim-from-source". But it misleads me. Please DO NOT configure vim like this on Ubuntu 14.04.5 LTS --enable-pythoninterp=
[安装]Vim插件YouCompleteMe在mac下的安装
a
YouCompleteMe插件安装全攻略和问题总结
一、安装的方法 1、安全之前确保系统安装了git和vim7.4版本,可以用yum install git 和yum install vim,其他系统可以apt安装这两个工具 2、bundle安装 git clone https://github.com/gmarik/vundle.git ~/.vim/bundle/vundle git clone https://github.com/Va
vim 学习笔记三,Ubuntu下vim 安装vundle和有youcompleteme+jedi
vundle是管理插件的插件安装方法需要git git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim​ 如果没有目录,在.vim 目录下cd ~ mkdir .vim cd .vim mkdir bundle​ 用法filetype off set rtp+=~/.vim/bundle/V
YouCompleteMe实现vim自动补全
之前用的是OmniCppComplete +ctags补全,但是这种方法最大的缺点是对于自己写的类,要想智能补全就必须先生成一遍ctags索引文件,不光影响效率还特别麻烦,所以一直很不满意,也基本没用过它的补全功能。前两天经小组王博同学提示,找到了这个YouCompleteMe插件。配的过程麻烦了点,但是很不错的解决了之前那个问题,让vim也实现了IDE式的补全。 1.准备条件 (1)最新版的Vi
YouCompleteMe unavailable: requires Vim compiled with Python (2.6+ or 3.3+)
安装YouCompleteMe出现以下错误,YouCompleteMe unavailable: requires Vim compiled with Python (2.6+ or 3.3+)解决该错误有两个方法,一个是自己进行源码编译,一个是下载一个特殊版本的vim。这里介绍第二种方法:apt-get install vim-nox